Bug 951873 - Review Request: perl-DBD-InterBase - An InterBase and Firebird interface for perl
Summary: Review Request: perl-DBD-InterBase - An InterBase and Firebird interface for ...
Status: CLOSED WORKSFORME
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
unspecified
medium
Target Milestone: ---
Assignee: Petr Šabata
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2013-04-14 01:03 UTC by Robert Scheck
Modified: 2013-12-08 23:22 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-08 23:22:08 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
psabata: fedora-review?


Attachments (Terms of Use)

Description Robert Scheck 2013-04-14 01:03:45 UTC
Spec URL: http://labs.linuxnetz.de/bugzilla/perl-DBD-InterBase.spec
SRPM URL: http://labs.linuxnetz.de/bugzilla/perl-DBD-InterBase-0.48-1.src.rpm
Description:
DBD::InterBase is a Perl module that works with the DBI module to provide
access to InterBase and Firebird databases.


This package will be imported to EPEL 5 and 6 and of course to all active
Fedora branches.

Comment 1 Petr Šabata 2013-04-17 12:04:38 UTC
Taking the review.

Comment 2 Petr Šabata 2013-04-17 12:39:29 UTC
Please, submit perl-DBD-InterBase-0.48-perl_514.patch upstream if you haven't already (I can't see it listed on RT).  More people could benefit from this.

%defattr is not required (not even in EPEL) and could be dropped.

The same probably applies to line 39 but I'm not sure about it; please check.

You're missing some build-time deps:
perl(Carp), ./InterBase.pm:14, ./InterBase.pm:135
perl(Data::Dumper), t/31prepare.t:8, t/91txinfo.t:8
perl(Exporter), ./InterBase.pm:18, lib/DBD/InterBase/TypeInfo.pm:16
perl(threads), t/80event-ithreads.t:103 (recommended)
(+ Config, DynaLoader, POSIX, strict, and vars -- those don't dual-live yet but might in the future; it's up to you)

I'm not sure about the license of this package, quoting:

  You may distribute under the terms of either the GNU General Public
  License or the Artistic License, as specified in the Perl README file,
  with the exception that it cannot be placed on a CD-ROM or similar media
  for commercial distribution without the prior approval of the author.

I'll ask fedora-legal if such exception is alright in our case.

Comment 3 Petr Šabata 2013-04-17 15:54:50 UTC
(In reply to comment #2)
> I'll ask fedora-legal if such exception is alright in our case.

"Not acceptable, unless that exception clause is waived/removed."

Please, resolve with upstream.

Comment 4 Robert Scheck 2013-04-18 22:54:46 UTC
Petr, thank you for discovering this. Interestingly this clause is only in
the source code, not in the README file. I have sent a message to upstream
to get this (hopefully) solved soon.

Comment 5 Popa Adrian Marius 2013-12-05 10:31:21 UTC
DBD-InterBase is unmaintained and is replaced with DBD-Firebird for perl Firebird development 

http://search.cpan.org/~dam/DBD-Firebird-1.16/

Comment 6 Robert Scheck 2013-12-05 11:09:03 UTC
Unfortunately perl-DBD-InterBase is needed for the old Firebird in EPEL 5 as
DBD-Firebird expects a newer Firebird than EPEL 5 is providing.

Comment 7 Robert Scheck 2013-12-08 23:22:08 UTC
Meanwhile I have migrated my last RHEL 5 with Firebird and Perl to RHEL 6, so
this is no longer relevant for me - closing hereby unsuccessfully. If anybody
is in the future looking to this: Upstream did not solve the licensing issue,
I am still waiting on a reply.


Note You need to log in before you can comment on or make changes to this bug.